io.vertx.rxjava3.ext.web.validation.builder

## Class ValidationHandlerBuilder

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.builder.ValidationHandlerBuilder

-     public class ValidationHandlerBuilder
      extends Object

  Builder for a .
  For more info look the docs

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ValidationHandlerBuilder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationHandlerBuilder(Object delegate)`
    `ValidationHandlerBuilder(ValidationHandlerBuilder delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationHandlerBuilder` | `body(io.vertx.ext.web.validation.impl.body.BodyProcessor bodyProcessor)`
    `ValidationHandlerBuilder` | `body(BodyProcessorFactory bodyProcessor)`
    `ValidationHandler` | `build()` Build the from this builder
    `ValidationHandlerBuilder` | `cookieParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `cookieParameter(StyledParameterProcessorFactory parameterProcessor)`
    `static ValidationHandlerBuilder` | `create(SchemaParser parser)`
    `boolean` | `equals(Object o)`
    `ValidationHandlerBuilder` | `getDelegate()`
    `int` | `hashCode()`
    `ValidationHandlerBuilder` | `headerParameter(ParameterProcessorFactory parameterProcessor)`
    `static ValidationHandlerBuilder` | `newInstance(ValidationHandlerBuilder arg)`
    `ValidationHandlerBuilder` | `parameter(io.vertx.ext.web.validation.impl.ParameterLocation location, io.vertx.ext.web.validation.impl.parameter.ParameterProcessor processor)` Add a parameter given the location and the processor
    `ValidationHandlerBuilder` | `pathParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `predicate(RequestPredicate predicate)`
    `ValidationHandlerBuilder` | `queryParameter(ParameterProcessorFactory parameterProcessor)`
    `ValidationHandlerBuilder` | `queryParameter(StyledParameterProcessorFactory parameterProcessor)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ValidationHandlerBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### ValidationHandlerBuilder

          public ValidationHandlerBuilder(ValidationHandlerBuilder delegate)

    - #### ValidationHandlerBuilder

          public ValidationHandlerBuilder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ValidationHandlerBuilder getDelegate()

    - #### queryParameter

          public ValidationHandlerBuilder queryParameter(StyledParameterProcessorFactory parameterProcessor)

    - #### queryParameter

          public ValidationHandlerBuilder queryParameter(ParameterProcessorFactory parameterProcessor)

    - #### pathParameter

          public ValidationHandlerBuilder pathParameter(ParameterProcessorFactory parameterProcessor)

    - #### cookieParameter

          public ValidationHandlerBuilder cookieParameter(StyledParameterProcessorFactory parameterProcessor)

    - #### cookieParameter

          public ValidationHandlerBuilder cookieParameter(ParameterProcessorFactory parameterProcessor)

    - #### headerParameter

          public ValidationHandlerBuilder headerParameter(ParameterProcessorFactory parameterProcessor)

    - #### body

          public ValidationHandlerBuilder body(BodyProcessorFactory bodyProcessor)

    - #### predicate

          public ValidationHandlerBuilder predicate(RequestPredicate predicate)

    - #### create

          public static ValidationHandlerBuilder create(SchemaParser parser)

    - #### parameter

          public ValidationHandlerBuilder parameter(io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                    io.vertx.ext.web.validation.impl.parameter.ParameterProcessor processor)

      Add a parameter given the location and the processor
      Parameters:
        `location` -
        `processor` -
      Returns:

    - #### body

          public ValidationHandlerBuilder body(io.vertx.ext.web.validation.impl.body.BodyProcessor bodyProcessor)

    - #### build

          public ValidationHandler build()

      Build the from this builder
      Returns:

    - #### newInstance

          public static ValidationHandlerBuilder newInstance(ValidationHandlerBuilder arg)

Copyright © 2024 Eclipse. All rights reserved.